<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: RCTBluetoothSerial Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Portofhttps://github.com/don/BluetoothSerialforreactnative</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="../../d3/d8d/interfaceRCTBluetoothSerial-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RCTBluetoothSerial Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RCTBluetoothSerial:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/d7e/interfaceRCTBluetoothSerial.png" usemap="#RCTBluetoothSerial_map" alt=""/>
  <map id="RCTBluetoothSerial_map" name="RCTBluetoothSerial_map">
<area href="../../de/d74/protocolBLEDelegate-p.html" alt="&lt;BLEDelegate&gt;" shape="rect" coords="278,0,407,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a8c44f180695e019a0ee13ef622d75ff3"><td class="memItemLeft" align="right" valign="top"><a id="a8c44f180695e019a0ee13ef622d75ff3"></a>
<a class="el" href="../../db/df9/interfaceBLE.html">BLE</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>_bleShield</b></td></tr>
<tr class="separator:a8c44f180695e019a0ee13ef622d75ff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cd5946a206118563bfc3039bbdfa624"><td class="memItemLeft" align="right" valign="top"><a id="a8cd5946a206118563bfc3039bbdfa624"></a>
BOOL&#160;</td><td class="memItemRight" valign="bottom"><b>_subscribed</b></td></tr>
<tr class="separator:a8cd5946a206118563bfc3039bbdfa624"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb23fe4f2aa66931da72a16958bc0576"><td class="memItemLeft" align="right" valign="top"><a id="afb23fe4f2aa66931da72a16958bc0576"></a>
RCTPromiseResolveBlock&#160;</td><td class="memItemRight" valign="bottom"><b>_connectionResolver</b></td></tr>
<tr class="separator:afb23fe4f2aa66931da72a16958bc0576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1fa402038ac621516d342925b8363d9"><td class="memItemLeft" align="right" valign="top"><a id="aa1fa402038ac621516d342925b8363d9"></a>
RCTPromiseRejectBlock&#160;</td><td class="memItemRight" valign="bottom"><b>_connectionRejector</b></td></tr>
<tr class="separator:aa1fa402038ac621516d342925b8363d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35b36be69e569251a33bc6e988118420"><td class="memItemLeft" align="right" valign="top"><a id="a35b36be69e569251a33bc6e988118420"></a>
NSString *&#160;</td><td class="memItemRight" valign="bottom"><b>_subscribeCallbackId</b></td></tr>
<tr class="separator:a35b36be69e569251a33bc6e988118420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a676aeb9351a2fc77abb7f4391d433e03"><td class="memItemLeft" align="right" valign="top"><a id="a676aeb9351a2fc77abb7f4391d433e03"></a>
NSString *&#160;</td><td class="memItemRight" valign="bottom"><b>_subscribeBytesCallbackId</b></td></tr>
<tr class="separator:a676aeb9351a2fc77abb7f4391d433e03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04bffec470fc49b9f2d5928eed565bca"><td class="memItemLeft" align="right" valign="top"><a id="a04bffec470fc49b9f2d5928eed565bca"></a>
NSString *&#160;</td><td class="memItemRight" valign="bottom"><b>_rssiCallbackId</b></td></tr>
<tr class="separator:a04bffec470fc49b9f2d5928eed565bca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e85b08e43c2fc4292245c197ba46935"><td class="memItemLeft" align="right" valign="top"><a id="a1e85b08e43c2fc4292245c197ba46935"></a>
NSMutableString *&#160;</td><td class="memItemRight" valign="bottom"><b>_buffer</b></td></tr>
<tr class="separator:a1e85b08e43c2fc4292245c197ba46935"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b807b7e5ccb10d7743fb8ef7d6ad96"><td class="memItemLeft" align="right" valign="top"><a id="a45b807b7e5ccb10d7743fb8ef7d6ad96"></a>
NSString *&#160;</td><td class="memItemRight" valign="bottom"><b>_delimiter</b></td></tr>
<tr class="separator:a45b807b7e5ccb10d7743fb8ef7d6ad96"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_protocolBLEDelegate-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocolBLEDelegate-p')"><img src="../../closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="../../de/d74/protocolBLEDelegate-p.html">&lt;BLEDelegate&gt;</a></td></tr>
<tr class="memitem:a893f9b2dd7e306dbd998a0c8027e34cd inherit pub_methods_protocolBLEDelegate-p"><td class="memItemLeft" align="right" valign="top"><a id="a893f9b2dd7e306dbd998a0c8027e34cd"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidConnect</b></td></tr>
<tr class="separator:a893f9b2dd7e306dbd998a0c8027e34cd inherit pub_methods_protocolBLEDelegate-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfdf01a1bca7ea27189b6ba61c1e6b8e inherit pub_methods_protocolBLEDelegate-p"><td class="memItemLeft" align="right" valign="top"><a id="adfdf01a1bca7ea27189b6ba61c1e6b8e"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidDisconnect</b></td></tr>
<tr class="separator:adfdf01a1bca7ea27189b6ba61c1e6b8e inherit pub_methods_protocolBLEDelegate-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210e8999d5e1d2b3adb6b7d2be6b05ed inherit pub_methods_protocolBLEDelegate-p"><td class="memItemLeft" align="right" valign="top"><a id="a210e8999d5e1d2b3adb6b7d2be6b05ed"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidUpdateRSSI:</b></td></tr>
<tr class="separator:a210e8999d5e1d2b3adb6b7d2be6b05ed inherit pub_methods_protocolBLEDelegate-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a492735994159e0a0e8f4a37077e6ffe4 inherit pub_methods_protocolBLEDelegate-p"><td class="memItemLeft" align="right" valign="top"><a id="a492735994159e0a0e8f4a37077e6ffe4"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidReceiveData:length:</b></td></tr>
<tr class="separator:a492735994159e0a0e8f4a37077e6ffe4 inherit pub_methods_protocolBLEDelegate-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af820b88bd74bac1c83b270d3a1527953 inherit pub_methods_protocolBLEDelegate-p"><td class="memItemLeft" align="right" valign="top"><a id="af820b88bd74bac1c83b270d3a1527953"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidChangedState:</b></td></tr>
<tr class="separator:af820b88bd74bac1c83b270d3a1527953 inherit pub_methods_protocolBLEDelegate-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>RCTBluetoothSerial/<a class="el" href="../../d2/d30/RCTBluetoothSerial_8h_source.html">RCTBluetoothSerial.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
